/// <reference types="react" />
import { XBaseStackContainer } from "./XBaseStackContainer";
import { BorderStyle } from "../Utilities/FormDesignConstants";
export declare const StackContainerDiv: import("styled-components").StyledComponent<"div", any, {
    padding?: number | undefined;
    hasBorder?: boolean | undefined;
    borderColor?: string | undefined;
    borderWidth?: number | undefined;
    borderRadius?: number | undefined;
    borderStyle?: BorderStyle | undefined;
    backgroundColor?: string | null | undefined;
}, never>;
export declare const StackContainerColumn: import("styled-components").StyledComponent<"div", any, {
    colGap?: number | undefined;
    padding?: number | undefined;
}, never>;
export declare class XStackContainer extends XBaseStackContainer {
    readonly __type: string;
    render(): JSX.Element;
    renderEditUI(): JSX.Element | null;
    getStorageData(): object;
    setStorageData(data: object): void;
}
